Subject: Re: bug#74027: [PATCH] ; Insert "Stealing lock" at the beginning of a message

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Nov 2024 17:50:02 +0200

> From: Philip Kaludercic <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 08 Nov 2024 15:26:40 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Philip Kaludercic <[email-masked]>
> >> Cc: [email-masked]
> >> Date: Fri, 08 Nov 2024 14:15:53 +0000
> >> 
> >> Eli Zaretskii <[email-masked]> writes:
> >> 
> >> >> -    (goto-char (point-max))
> >> >> +    (mail-text)
> >> >
> >> > I guess you are using sendmail.el as your mail-user-agent?  But the
> >> > default is message.el, so I think we should either use
> >> > message-goto-body here, 
> >> 
> >> Ok, I falsely assumed that using 'mail-text' would be more compatible.
> >> 
> >> >                         
> >> >                         or perhaps dispatch to either to message.el or
> >> > sendmail.el based on the value of mail-user-agent.
> >> 
> >> So a `cond' expression checking mail-user-agent and then invoking the
> >> right function, or is there some more generic way to do that?
> >
> > The former, I think.
> 
> In that case it seems better/simpler to just use 'message-goto-body'.

I'm not sure.  I use sendmail, and I don't really like the idea of
having message.el loaded into my sessions.

It shouldn't be hard to dispatch, is it?